#!/bin/bash -ex

# exit on errors
set -eu -o pipefail

ONOS_ROOT=`pwd`
. tools/build/envDefaults

PATH=$PATH:/home/jenkins/bin

bazel run //:buildifier_check
bazel build onos
bazel query "tests(//...)" | grep -v "\-coverage" | SHLVL=1 xargs bazel test --test_summary=terse --test_output=errors

